### Class

# GUPnPAV DIDLLiteContributor

#### Description [src]

    class GUPnPAV.DIDLLiteContributor : GObject.Object
    {
      /* No available fields */
    }

Contributor attached to a DIDL-Lite object

This represents a contributor (artist, author, actor, producer, director, producer and contributor) property in a DIDL-Lite object.

#### Ancestors

- GObject

#### Instance methods

###### gupnp_didl_lite_contributor_get_name

Get the name of the `contributor`.

###### gupnp_didl_lite_contributor_get_role

Get the role of the `contributor`.

###### gupnp_didl_lite_contributor_get_xml_node

Get the pointer to relevant node in XML document.

###### gupnp_didl_lite_contributor_set_name

Set the name of the `contributor` to `name`.

###### gupnp_didl_lite_contributor_set_role

Set the role of the `contributor` to `role`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnPAV.DIDLLiteContributor:name

The name of this contributor.

###### GUPnPAV.DIDLLiteContributor:role

The role of this contributor.

###### GUPnPAV.DIDLLiteContributor:xml-doc

The reference to XML document containing this object.

###### GUPnPAV.DIDLLiteContributor:xml-node

The pointer to object node in XML document.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVDIDLLiteContributorClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.